Bug 230585 - devel/py-liblarch: Updated to version 3.0
Summary: devel/py-liblarch: Updated to version 3.0
Status: Closed Not Accepted
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL: https://raw.githubusercontent.com/get...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-13 05:26 UTC by Nathan
Modified: 2018-08-22 16:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (rm)


Attachments
Update (1.66 KB, patch)
2018-08-13 05:26 UTC, Nathan
no flags Details | Diff
Update (1.67 KB, patch)
2018-08-13 05:27 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-08-13 05:26:12 UTC
Created attachment 196147 [details]
Update

devel/py-liblarch: Update to 3.0
 
 * Fixed ordering of variables
    -- Portlint reported they were
       out of order
 * Removed designated Python 2.7
    -- Builds fine with Python 3.6 as well
 * Removed USE_GNOME
   -- Port does not need it
   -- Causes port to not build on mips
      as gcc(not available on mips ) is needed
      for pygobject
Changelog: https://raw.githubusercontent.com/getting-things-gnome/liblarch/d81a13a8770500772719cdfed3dae9424138f60b/CHANGELOG
 
Portlint -AC: looks fine

Poudriere(amd64): 11.2 10.4: Built fine
Poudriere(mips): 11.2: Built fine
Comment 1 Nathan 2018-08-13 05:27:52 UTC
Created attachment 196149 [details]
Update
Comment 2 Ruslan Makhmatkhanov freebsd_committer 2018-08-20 11:52:55 UTC
Nathan, the only user of this library is deskutils/gtg and it's version in ports doesn't work with liblarch 3, so I don't approve this patch - it will break gtg runtime. From other side, gtg/liblarch is effectively dead for some time - last release was in 2013 or so, and I'm planning to deprecate both ports soon. Thank you anyway.
Comment 3 commit-hook freebsd_committer 2018-08-22 16:04:19 UTC
A commit references this bug:

Author: rm
Date: Wed Aug 22 16:04:13 UTC 2018
New revision: 477795
URL: https://svnweb.freebsd.org/changeset/ports/477795

Log:
  devel/py-liblarch: minor fixes

  - shuffle knobs to pet portlint
  - add NO_ARCH and LICENSE_FILE

  These changes are cherry-picked from the main update patch, that breaks
  deskutils/gtg, so update bits of this patch were rejected.

  PR:		230585
  Submitted by:   Nathan <ndowens@yahoo.com>

Changes:
  head/devel/py-liblarch/Makefile
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2018-08-22 16:05:28 UTC
Nathan, I've merged safe to apply changes. Thank you!